don't need kvm lib any more